3 export PATH=$(dirname $0):/bin:/usr/bin:/sbin
5 cronstopstart="/etc/init.d/cron"
7 # source the default configuration
10 # source the system specific configuration
11 if [ -f /etc/lsbackups.conf ]
16 # If the noburn file is there then don't burn.
17 [ -f "$noburnfile" ] && exit 0
19 # Discover disk images by looking for .img.md5sum files in $imagedir
20 imgmd5=$(ls $imagedir/*.img.md5sum 2>/dev/null | head -n 1)
22 # If we didn't find an non-empty file then exit gracefully
23 [ -z "$imgmd5" ] && exit 0
24 [ -s "$imgmd5" ] || exit 0
28 # Get the name of the disk image by stripping off the tailing '.md5sum'
33 # A little paranoia. Make sure the disk image file is there.
34 [ -z "$img" ] && exit 1
35 [ -s "$img" ] || exit 1
37 # To avoid buffer underruns I'm going to stop cron and renice myself
41 # Burn the image to a disk.
42 cdrecord-wrapper.sh -dao dev=$sdev $img > $logfile 2>&1
44 if [ "0" != "$?" ]; then
45 echo >&2 "cdrecord failed!"
49 # We don't need to be high-priority anymore.
53 # I don't know if this *really* helps but give cdrecord a chance to clean up.
56 # Now verify the disk by running md5sum on the entire contents of the disk
58 dd if=$dev bs=1M count=4440 2>>$logfile | md5sum | awk '{print$1}' > $md5sum
60 # Check that the md5sums match
61 if ! cmp $md5sum $img.md5sum; then
62 echo "Failed" | mailx -s "DVD md5sum doesn't match image file!!!" $mailto
66 # Record the date in the stat file to indicate that this burn was a success
73 echo "md5sum of burned disks:"
79 } | mailx -s "DVD burned. File as $(basename ${img%.*})" $mailto > $logfile 2>&1
81 # Two lines in the stat file indicate two successful burns. Clean-up the image.
82 if [ "$(wc -l $img.stat 2>/dev/null | awk '{print$1}')" == "2" ]; then
83 # Burned the image twice. Removing it and associated files!
84 rm -f $img{,.md5sum,.stat}
85 [ -d $img.mnt ] && rmdir $img.mnt